php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #31392 The specified procedure could not be found.
Submitted: 2005-01-03 20:13 UTC Modified: 2005-02-01 19:07 UTC
Votes:3
Avg. Score:4.7 ± 0.5
Reproduced:2 of 2 (100.0%)
Same Version:2 (100.0%)
Same OS:2 (100.0%)
From: dravet at calumet dot purdue dot edu Assigned:
Status: Not a bug Package: IIS related
PHP Version: 4CVS-2005-01-22 OS: windows 2003
Private report: No CVE-ID: None
 [2005-01-03 20:13 UTC] dravet at calumet dot purdue dot edu
Description:
------------
I am trying to upgrade from 4.3.9 to 4.3.10.  PHPBB worked fine under 4.3.9. and now no longer works under 4.3.10.  When I try to load phpbb I get "The specified procedure could not be found."  Can you please help me track down the problem so it can be fixed?

Thanks,


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-01-03 21:24 UTC] dravet at calumet dot purdue dot edu
When 4.3.9 works and 4.3.10 doesn't, that does imply the problem is with php.  Nothing else changed except for the php version.
 [2005-01-03 21:27 UTC] derick@php.net
It works fine, you're doing something wrong so ask on the support list.
 [2005-01-05 17:35 UTC] dravet at calumet dot purdue dot edu
After a little more research the problem is with PHP.  I was using the ISAPI method when I started to get the error.  I switched over to the cgi method and everything works, just slower.
 [2005-01-06 07:09 UTC] brian at capital-internet dot net
I am having the same problem.. I tried using the latest snapshot from today and same issue.
Using CGI works fine bug ISAPI gives that error.  ISAPI with 4.3.3 works fine (current version we're running).
 [2005-01-20 18:01 UTC] dravet at calumet dot purdue dot edu
Brian said it did not work.  It also did not work for me.  Do you have a newer snapshot for testing?
 [2005-01-21 13:11 UTC] sniper@php.net
I hope you installed the snapshot correctly. And that you shutdown IIS before installing PHP. And replaced ALL existing php related dlls with the ones in the snapshot package..

 [2005-01-24 16:57 UTC] dravet at calumet dot purdue dot edu
I installed the snapshot just like I have installed php the last 12 times.  This is one reason I like php so much, it is fast and easy to install.  Is there a newer snapshot that I can try?
 [2005-01-24 17:58 UTC] dravet at calumet dot purdue dot edu
I just tried php4-win32-STABLE-200501241330.zip and it still does not work.  I still get "The specified procedure could not be found."
 [2005-01-25 02:31 UTC] sniper@php.net
Exactly when do you get that error..?

 [2005-01-25 02:58 UTC] dravet at calumet dot purdue dot edu
I get the error message anytime I try to access a php page.  If I install the current snapshot (or use 4.3.10 in isapi mode), then I go to net0/test.php I will get that error.  test.php is a file that contains phpinfo();  If I use the cgi method, it works, if I use isapi method I get the error.
 [2005-02-01 19:07 UTC] sniper@php.net
We are aware of PHP's problems with stability under IIS and are working 
to rectify the problem. Unfortunatly your bug report does not contain any
extra useful information and we already have enough bug reports open about
this issue. If you can provide more detailed information such as a 
reproducable crash or a backtrace please do so and reopen this bug. 
Otherwise please keep trying new releases as we are working to resolve 
the problems on this platform
 
Thanks for your interest in PHP.


 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Mon Jun 17 10:01:32 2024 UTC